Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 968607 - Review Request: nodeunit - Easy asynchronous unit testing framework for Node.js
Summary: Review Request: nodeunit - Easy asynchronous unit testing framework for Node.js
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1291398 (view as bug list)
Depends On: 968594 968597 968606
Blocks: nodejs-reviews 977124 1291400
TreeView+ depends on / blocked
 
Reported: 2013-05-29 22:50 UTC by Jamie Nguyen
Modified: 2015-12-15 03:56 UTC (History)
2 users (show)

Fixed In Version: nodeunit-0.8.6-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-12 12:22:03 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-05-29 22:50:43 UTC
Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodeunit.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodeunit-0.8.0-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Easy unit testing for Node.js and the browser.

Comment 1 Tom Hughes 2013-08-18 17:00:12 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package contains no bundled libraries without FPC exception.

lib/assert.js is our old friend from node core...

[!]: Package complies to the Packaging Guidelines

Should bin/nodeunit.json and share/* be in %{_datadir}?

[!]: Latest version is packaged.

0.8.1 is now available

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 102400 bytes in 10 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodeunit-0.8.0-1.fc20.noarch.rpm
nodeunit.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodeunit.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodeunit.noarch: W: only-non-binary-in-usr-lib
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/ejs /usr/lib/node_modules/ejs
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/tap /usr/lib/node_modules/tap
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/async /usr/lib/node_modules/async
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/console.log /usr/lib/node_modules/console.log
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/json2 /usr/lib/node_modules/json2
1 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodeunit
nodeunit.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodeunit.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodeunit.noarch: W: only-non-binary-in-usr-lib
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/ejs /usr/lib/node_modules/ejs
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/tap /usr/lib/node_modules/tap
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/async /usr/lib/node_modules/async
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/console.log /usr/lib/node_modules/console.log
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/json2 /usr/lib/node_modules/json2
1 packages and 0 specfiles checked; 0 errors, 8 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodeunit (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(async)
    npm(console.log)
    npm(ejs)
    npm(json2)
    npm(tap)



Provides
--------
nodeunit:
    nodeunit
    npm(nodeunit)



Source checksums
----------------
http://registry.npmjs.org/nodeunit/-/nodeunit-0.8.0.tgz :
  CHECKSUM(SHA256) this package     : a170075780b994d5b2e38c4c55f51d1367dbb9d4547b3c6dea2643ab642b5c28
  CHECKSUM(SHA256) upstream package : a170075780b994d5b2e38c4c55f51d1367dbb9d4547b3c6dea2643ab642b5c28


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 968607

Comment 2 Jamie Nguyen 2013-08-28 18:10:30 UTC
Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodeunit.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodeunit-0.8.1-1.fc19.src.rpm

* Wed Aug 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.8.1-1
- update to upstream release 0.8.1
- remove patch that has been upstreamed
- put non-javascript arch independent files in _datadir to comply with Node.js
  packaging guidelines

Comment 3 Jamie Nguyen 2013-08-28 18:32:30 UTC
(In reply to Tom Hughes from comment #1)
> [!]: Package contains no bundled libraries without FPC exception.
> 
> lib/assert.js is our old friend from node core...

Heh, our old friend indeed! :-)

https://fedorahosted.org/fpc/ticket/340

Comment 4 Jamie Nguyen 2014-02-23 13:40:34 UTC
Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodeunit.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodeunit-0.8.1-2.fc21.src.rpm

* Sun Feb 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.8.1-2
- remove nodejs-json2 dependency as it is not needed either for runtime or
  for the unit tests

Comment 5 Jamie Nguyen 2014-02-23 14:12:16 UTC
Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodeunit.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodeunit-0.8.1-3.fc21.src.rpm

* Sun Feb 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.8.1-3
- fix summary and description
- use patch instead of sed


Looks like assert.js isn't really required:
https://fedorahosted.org/fpc/ticket/340#comment:4

This review no longer depends on FPC ticket #340.

Comment 6 Tom Hughes 2014-02-23 15:28:37 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package contains no bundled libraries without FPC exception.

lib/assert.js is still included in built package - it needs to
be removed in %prep

[!]: Latest version is packaged.

0.8.6 is the current release


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 10 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodeunit-0.8.1-3.fc21.noarch.rpm
          nodeunit-0.8.1-3.fc21.src.rpm
nodeunit.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodeunit.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodeunit.noarch: W: spelling-error %description -l en_US setUp -> set Up, setup, setups
nodeunit.noarch: W: spelling-error %description -l en_US tearDown -> tear Down, tear-down, downhearted
nodeunit.noarch: W: spelling-error %description -l en_US jUnit -> j Unit, unit, jun it
nodeunit.noarch: W: invalid-url URL: https://github.com/caolan/nodeunit <urlopen error timed out>
nodeunit.noarch: W: only-non-binary-in-usr-lib
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/ejs /usr/lib/node_modules/ejs
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/tap /usr/lib/node_modules/tap
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/async /usr/lib/node_modules/async
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/console.log /usr/lib/node_modules/console.log
nodeunit.noarch: W: dangling-symlink /usr/bin/nodeunit /usr/lib/node_modules/nodeunit/bin/nodeunit
nodeunit.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodeunit.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodeunit.src: W: spelling-error %description -l en_US setUp -> set Up, setup, setups
nodeunit.src: W: spelling-error %description -l en_US tearDown -> tear Down, tear-down, downhearted
nodeunit.src: W: spelling-error %description -l en_US jUnit -> j Unit, unit, jun it
nodeunit.src: W: invalid-url URL: https://github.com/caolan/nodeunit <urlopen error _ssl.c:489: The handshake operation timed out>
2 packages and 0 specfiles checked; 0 errors, 18 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodeunit
nodeunit.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodeunit.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodeunit.noarch: W: spelling-error %description -l en_US setUp -> set Up, setup, setups
nodeunit.noarch: W: spelling-error %description -l en_US tearDown -> tear Down, tear-down, downhearted
nodeunit.noarch: W: spelling-error %description -l en_US jUnit -> j Unit, unit, jun it
nodeunit.noarch: W: invalid-url URL: https://github.com/caolan/nodeunit <urlopen error timed out>
nodeunit.noarch: W: only-non-binary-in-usr-lib
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/ejs /usr/lib/node_modules/ejs
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/tap /usr/lib/node_modules/tap
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/async /usr/lib/node_modules/async
nodeunit.noarch: W: dangling-symlink /usr/lib/node_modules/nodeunit/node_modules/console.log /usr/lib/node_modules/console.log
nodeunit.noarch: W: dangling-symlink /usr/bin/nodeunit /usr/lib/node_modules/nodeunit/bin/nodeunit
1 packages and 0 specfiles checked; 0 errors, 12 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodeunit (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(async)
    npm(console.log)
    npm(ejs)
    npm(tap)



Provides
--------
nodeunit:
    nodeunit
    npm(nodeunit)



Source checksums
----------------
http://registry.npmjs.org/nodeunit/-/nodeunit-0.8.1.tgz :
  CHECKSUM(SHA256) this package     : a4dc1b7ca6ac8e5f17aa794ad751f3eb0be40816260072f6da39447c3ee1946b
  CHECKSUM(SHA256) upstream package : a4dc1b7ca6ac8e5f17aa794ad751f3eb0be40816260072f6da39447c3ee1946b


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 968607
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 7 Jamie Nguyen 2014-02-23 15:51:42 UTC
(In reply to Tom Hughes from comment #6)
> lib/assert.js is still included in built package - it needs to
> be removed in %prep

Oops. Removed. I've patched to require('assert') instead of require('../lib/assert') and the tests all pass.

 
> [!]: Latest version is packaged.
> 
> 0.8.6 is the current release

Updated.
 

Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodeunit.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodeunit-0.8.6-1.fc21.src.rpm

* Sun Feb 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.8.6-1
- update to upstream release 0.8.6
- remove lib/assert.js and patch to use require('assert') instead

Comment 8 Tom Hughes 2014-02-23 16:25:05 UTC
Looks good now. Package approved.

Comment 9 Jamie Nguyen 2014-02-23 16:53:04 UTC
New Package SCM Request
=======================
Package Name: nodeunit
Short Description: Easy asynchronous unit testing framework for Node.js
Owners: jamielinux patches
Branches: f19 f20 el6 epel7
InitialCC:

Comment 10 Gwyn Ciesla 2014-02-24 13:00:33 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-02-24 16:55:16 UTC
nodeunit-0.8.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodeunit-0.8.6-2.fc20

Comment 12 Fedora Update System 2014-02-24 16:56:45 UTC
nodeunit-0.8.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodeunit-0.8.6-2.fc19

Comment 13 Fedora Update System 2014-02-24 16:57:59 UTC
nodeunit-0.8.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodeunit-0.8.6-2.el6

Comment 14 Fedora Update System 2014-02-24 20:09:51 UTC
nodeunit-0.8.6-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 15 Fedora Update System 2014-03-02 19:31:26 UTC
nodeunit-0.8.6-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodeunit-0.8.6-3.fc20

Comment 16 Fedora Update System 2014-03-02 19:31:49 UTC
nodeunit-0.8.6-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodeunit-0.8.6-3.fc19

Comment 17 Fedora Update System 2014-03-02 19:32:45 UTC
nodeunit-0.8.6-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodeunit-0.8.6-3.el6

Comment 18 Fedora Update System 2014-03-12 12:22:03 UTC
nodeunit-0.8.6-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-03-12 12:24:00 UTC
nodeunit-0.8.6-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2014-03-19 20:23:16 UTC
nodeunit-0.8.6-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Parag AN(पराग) 2015-12-15 03:56:21 UTC
*** Bug 1291398 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.